window.Gleam.initSearch([{"doc":"murmur3a","title":"murmur3a","content":"# murmur3a\n\n[![Package Version](https://img.shields.io/hexpm/v/murmur3a)](https://hex.pm/packages/murmur3a)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/murmur3a/)\n\nA _nearly_ pure Gleam implementation of the 32bit Murmur3 hash function[^1].\n\n```sh\ngleam add murmur3a\n```\n```gleam\nimport gleam/io\nimport murmur3a\n\npub fn main() {\n  murmur3a.hash_string(&quot;Hello!&quot;, 1)\n  |&gt; murmur3a.hex_digest\n  |&gt; io.debug\n  // &quot;DC75D641&quot;\n}\n```\n\nAPI documentation can be found at &lt;https://hexdocs.pm/murmur3a&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n\n## Credits\n\nmurmur3a leans heavily on Robin Heggelund Hansen&#39;s [Elm implementation](https://github.com/robinheghan/murmur3/).\n\n  [^1]: Only [two functions](src/murmur3a_ffi.mjs) rely on JavaScript.\n","url":"index.html"},{"doc":"murmur3a","title":"Hasher","content":"pub opaque type Hasher\n\n\nSynonyms:\nmurmur3a.Hasher\nmurmur3a Hasher","url":"murmur3a.html#Hasher"},{"doc":"murmur3a","title":"bit_array_digest","content":"pub fn bit_array_digest(hasher: Hasher) -&gt; BitArray\n\nSynonyms:\nmurmur3a.bit_array_digest\nmurmur3a bit_array_digest","url":"murmur3a.html#bit_array_digest"},{"doc":"murmur3a","title":"hash_ints","content":"pub fn hash_ints(key: List(Int), seed: Int) -&gt; Hasher\n\nSynonyms:\nmurmur3a.hash_ints\nmurmur3a hash_ints","url":"murmur3a.html#hash_ints"},{"doc":"murmur3a","title":"hash_string","content":"pub fn hash_string(key: String, seed: Int) -&gt; Hasher\n\nSynonyms:\nmurmur3a.hash_string\nmurmur3a hash_string","url":"murmur3a.html#hash_string"},{"doc":"murmur3a","title":"hex_digest","content":"pub fn hex_digest(hasher: Hasher) -&gt; String\n\nSynonyms:\nmurmur3a.hex_digest\nmurmur3a hex_digest","url":"murmur3a.html#hex_digest"},{"doc":"murmur3a","title":"int_digest","content":"pub fn int_digest(hasher: Hasher) -&gt; Int\n\nSynonyms:\nmurmur3a.int_digest\nmurmur3a int_digest","url":"murmur3a.html#int_digest"},{"doc":"murmur3a","title":"murmur3a","content":"","url":"murmur3a.html"}]);